| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
crypto.hpp File Reference
API | Private

the crypto algoritm definition More...

`#include "../my_config.h"`
`#include <string>`
`#include "datetime.hpp"`
`#include <list>`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::crypto_algo { libdar::crypto_none, libdar::crypto_scrambling, libdar::crypto_blowfish, libdar::crypto_aes256, libdar::crypto_twofish256, libdar::crypto_serpent256, libdar::crypto_camellia256 }
| the different cypher available for encryption (strong or weak) More...

## Functions
std::string | libdar::crypto_algo_2_string (crypto_algo algo)
char | libdar::crypto_algo_2_char (crypto_algo a)
crypto_algo | libdar::char_2_crypto_algo (char a)
bool | libdar::same_signatories (const std::list< signator > &a, const std::list< signator > &b)

## Detailed Description

the crypto algoritm definition

Definition in file crypto.hpp.